Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004823OCamlOCamldocpublic2009-06-14 03:132009-07-09 19:11
Reporterschamschula 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.1+rc1 
Target VersionFixed in Version3.11.2+dev 
Summary0004823: Build issue for Ocaml 3.11.1 under Mac OS X
Description./ocamlcomp.sh -pp './remove_DEBUG' -I ../parsing -I ../utils -I ../typing -I ../driver -I ../bytecomp -I ../tools -I ../toplevel/ -I ../stdlib -I ../otherlibs/str -I ../otherlibs/dynlink -I ../otherlibs/unix -I ../otherlibs/num -I ../otherlibs/graph -warn-error A -c odoc_ast.ml
File "odoc_ast.ml", line 335, characters 38-3043:
Error: Syntax error
make[2]: *** [odoc_ast.cmo] Error 2
make[2]: Leaving directory `/private/tmp/ocaml-3.11.1/ocamldoc'
make[1]: *** [ocamldoc] Error 2
make[1]: Leaving directory `/private/tmp/ocaml-3.11.1'
make: *** [world] Error 2
Additional InformationI found this issue in all my builds: Mac OS X 10.3.9, 10.4.11 PPC/Intel, 10.5.7 PPC/Intel
TagsNo tags attached.
Attached Files? file icon foo.ml [^] (72,976 bytes) 2009-07-07 16:49 [Show Content]
? file icon remove_DEBUG.new [^] (1,051 bytes) 2009-07-07 18:24

- Relationships

-  Notes
(0005010)
Christophe (reporter)
2009-07-03 10:53

I have the same problem. It prevents to use godi and to compile ocaml. It's VERY annoying !
It's linked to letters with accents in string literals...
(0005012)
doligez (administrator)
2009-07-07 10:15

I don't get it. It works on my Mac OS X, even if I set my preferred language to French.
Can one of you send me (or upload) the file foo.ml that results from going to ocamldoc/ and
running:

   ./remove_DEBUG odoc_ast.ml >foo.ml

Thanks.
(0005013)
Christophe (reporter)
2009-07-07 16:50

File foo.ml is uploaded.
(0005014)
doligez (administrator)
2009-07-07 18:26

Can you try to replace ocamldoc/remove_DEBUG with the file I've uploaded and see if it fixes the problem ? This is beginning to look like a nasty internationalization bug in /usr/bin/sed :-(
(0005015)
Christophe (reporter)
2009-07-07 23:54

Yes, it works with the new remove_DEBUG
Congratulations :)

make world opt bootstrap, all is working now !
(0005016)
doligez (administrator)
2009-07-09 19:11

Fixed in 3.11 branch.

- Issue History
Date Modified Username Field Change
2009-06-14 03:13 schamschula New Issue
2009-06-14 11:14 ertai Assigned To => guesdon
2009-06-14 11:14 ertai Status new => assigned
2009-06-14 11:14 ertai Category OCamlbuild => OCamldoc
2009-07-03 10:53 Christophe Note Added: 0005010
2009-07-07 10:13 doligez Assigned To guesdon => doligez
2009-07-07 10:15 doligez Note Added: 0005012
2009-07-07 10:15 doligez Status assigned => feedback
2009-07-07 16:49 Christophe File Added: foo.ml
2009-07-07 16:50 Christophe Note Added: 0005013
2009-07-07 18:24 doligez File Added: remove_DEBUG.new
2009-07-07 18:26 doligez Note Added: 0005014
2009-07-07 23:54 Christophe Note Added: 0005015
2009-07-09 19:11 doligez Note Added: 0005016
2009-07-09 19:11 doligez Status feedback => closed
2009-07-09 19:11 doligez Resolution open => fixed
2009-07-09 19:11 doligez Fixed in Version => 3.11.2+dev


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker